hpifan(1)

NAME
hpifan - An openhpi sample application that shows "Fan Control" management instruments

SYNOPSIS
 hpifan [-D nn] [-N host[:port]] [-C <cfgfile>] [-h] [-s auto|nn] [-X]
 hpifan [--domain=nn] [--host=host[:port]] [--cfgfile=file] [--help] [--speed=auto|nn] [--debug]

DESCRIPTION
hpifan walks the RPT (Resource Present Table) for resouces that have "Fan Control" management instruments (SAHPI_CTRL_FAN_SPEED).

If no domain or host is selected, hpifan uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-s, --speed=auto|nn
    Set fan speed for ALL fans in domain speed is a number or "auto" for setting fan in auto mode

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpigensimdata  hpireset       hpitop
         hpidomain      hpiinv         hpisensor      hpitree
         hpiel          hpionIBMblade  hpisettime     hpiwdt
         hpievents      hpipower       hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)